=== debian/changelog ===
wadc (2.1+git3aac3015-2) unstable; urgency=low

  * Correct omissions in debian/copyright

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 10 Oct 2016 07:08:43 +0100

wadc (2.1+git3aac3015-1) unstable; urgency=low

  * Initial release (Closes: #395364)

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 30 Sep 2016 17:09:07 +0100
