=== debian/control ===
Source: wadc
Section: utils
Priority: optional
Maintainer: Jonathan Dowland <jmtd@debian.org>
Build-Depends: debhelper (>= 9),
               default-jdk-headless (>= 2:1.8),
               maven-debian-helper (>= 2.1),
               dh-exec
Standards-Version: 3.9.8
Vcs-Git: https://github.com/jmtd/wadc -b debian
Vcs-Browser: https://github.com/jmtd/wadc
Homepage: https://jmtd.net/wadc/

Package: wadc
Architecture: all
Depends: openjdk-8-jre | java8-runtime, ${maven:Depends}, ${misc:Depends}, jarwrapper
Recommends: freedoom | doom-wad | boom-wad | game-data-packager,
            prboom-plus | boom-engine | doom-engine,
            glbsp, ${java:Recommends}
Suggests: ${maven:OptionalDepends}
Description: programming environment for creating Doom maps
 WadC (Wad Compiler) is an Integrated Development Environment and
 functional programming language for developing Doom-engine maps.
 It can be used to generate complex levels which can be saved in
 Doom's WAD format.
 .
 The IDE includes a text-editor component; a debug output
 pane and a 2D drawing pane which previews the current
 script's output. Also included is an experimental command line
 interface, wadccli.
 .
 An external nodes builder (such as glbsp) is required before
 the resulting WAD file can be played by a doom-engine.
