=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
version := $(shell dpkg-parsechangelog -S Version | cut -d- -f1)
mainver := $(shell echo $(version) | cut -d+ -f1)
mvnrepo := debian/wadc/usr/share/maven-repo

%:
	dh $@ --buildsystem=maven

override_dh_auto_build:
	echo git.commit.id.describe=v$(version) > src/main/resources/git.properties
	dh_auto_build --buildsystem=maven

override_dh_auto_clean:
	dh_auto_clean --buildsystem=maven
	rm -f src/main/resources/git.properties

override_dh_auto_install:
	dh_auto_install --buildsystem=maven
	# workarounds for maven-debian-helper being ...weird
	mv $(mvnrepo)/org/redmars/wadc/wadc/$(mainver)/wadc-$(mainver).jar debian/wadc/usr/share/wadc/wadc.jar
	rm $(mvnrepo)/org/redmars/wadc/wadc/$(mainver)/wadc-$(mainver).pom
	rm -r $(mvnrepo)
	chmod +x debian/wadc/usr/share/wadc/wadc.jar
