=== debian/changelog ===
wadc (2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 13 Nov 2017 15:31:35 +0000
