=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Build-Depends: debhelper (>= 9),
                default-jdk-headless (>= 2:1.8),
                maven-debian-helper (>= 2.1),
-               dh-exec
+               dh-exec,
+               asciidoctor
 Standards-Version: 3.9.8
 Vcs-Git: https://github.com/jmtd/wadc -b debian
 Vcs-Browser: https://github.com/jmtd/wadc
