=== debian/changelog ===
wadc (3.0-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 14:16:41 +0100

wadc (3.0-1) unstable; urgency=medium

  * New upstream release.
  * Recommend zdbsp instead of glbsp.
  * Update series file to apply 0002-docs-bsp.patch (oops)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 18 Feb 2019 11:53:18 +0000

wadc (2.2-3) unstable; urgency=medium

  * Switch the default bsp tool from /usr/bin/glbsp to /usr/bin/bsp
  * Switch to recommending a virtual package (bsp) that could be
    satisfied by more than just glbsp (but recommend a glbsp version
    that provides bsp)

 -- Jonathan Dowland <jmtd@debian.org>  Mon, 19 Nov 2018 16:42:52 +0000

wadc (2.2-2) unstable; urgency=medium

  * Adjust dependencies so the default-jre (currently 9) by default
    satisfy the dependency rather than pull in 8 specifically.
    Closes: #894367.
  * Tweak invocation of asciidoctor so the output does not require
    web fonts to be loaded from a network connection (privacy)

 -- Jonathan Dowland <jmtd@debian.org>  Fri, 30 Mar 2018 18:52:23 +0100
