=== debian/changelog ===
wadc (3.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Git.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on default-jdk-headless and
      maven-debian-helper.
    + wadc: Drop versioned constraint on default-jre in Depends.

  [ Jonathan Dowland ]
  * New upstream version
    * explicit dependency on libpicocli-java as we rely on the API
      from 4.x onwards
  * Replace glbsp reference in long-description with zdbsp
    * replace default node-builder in properties file with zdbsp
  * Remove git-commit-id-plugin from Maven pom. For the Debian build
    we generate the git.properties file using debian/rules instead.
    Adjust the version we generate to indicate the Debian package.
  * Bump standards version

 -- Jonathan Dowland <jmtd@debian.org>  Thu, 22 Sep 2022 23:04:34 +0100
