=== debian/control ===
--- 
+++ 
@@ -3,19 +3,20 @@
 Priority: optional
 Maintainer: Jonathan Dowland <jmtd@debian.org>
 Build-Depends: asciidoctor,
-               debhelper (>= 9),
-               default-jdk-headless (>= 2:1.8),
+               debhelper-compat (= 12),
+               default-jdk-headless,
                dh-exec,
-               maven-debian-helper (>= 2.1)
-Standards-Version: 3.9.8
-Vcs-Git: https://github.com/jmtd/wadc -b debian
+               maven-debian-helper
+Standards-Version: 4.6.1
+Vcs-Git: https://github.com/jmtd/wadc.git -b debian
 Vcs-Browser: https://github.com/jmtd/wadc
 Homepage: https://jmtd.net/wadc/
 
 Package: wadc
 Architecture: all
-Depends: default-jre (>= 2:1.8) | java8-runtime,
+Depends: default-jre | java8-runtime,
          jarwrapper,
+         libpicocli-java (>= 4.6.1),
          ${maven:Depends},
          ${misc:Depends}
 Recommends: freedoom | doom-wad | boom-wad | game-data-packager,
@@ -34,5 +35,5 @@
  script's output. Also included is an experimental command line
  interface, wadccli.
  .
- An external nodes builder (such as glbsp) is required before
+ An external nodes builder (such as zdbsp) is required before
  the resulting WAD file can be played by a doom-engine.
